vCloud Director 9.1 for Service Providers | 2018년 3월 8일 | 릴리스 빌드 7905839(설치된 빌드 7905680)

이러한 릴리스 정보의 추가 사항 및 업데이트 사항을 확인하십시오.

릴리스 정보의 내용

릴리스 정보에서는 다음 주제를 다룹니다.

이 릴리스의 새로운 기능

이 릴리스의 새로운 기능 및 업데이트된 기능에 대한 자세한 내용은 VMware 기술 백서 VMware vCloud Director 9.1의 새로운 기능을 참조하십시오.

시스템 요구 사항 및 설치

호환성 매트릭스

다음에 대한 최신 정보는 VMware 제품 상호 운용성 매트릭스를 참조하십시오.

  • 다른 VMware 플랫폼과의 vCloud Director 상호 운용성
  • 지원되는 vCloud Director 데이터베이스
  • 업그레이드 경로

지원되는 vCloud Director 서버 운영 체제

  • CentOS 6
  • CentOS 7
  • Oracle Linux 6
  • Oracle Linux 7
  • Red Hat Enterprise Linux 6
  • Red Hat Enterprise Linux 7

지원되는 AMQP 서버

vCloud Director는 AMQP를 사용하여 확장 서비스, 개체 확장 및 알림에 사용되는 메시지 버스를 제공합니다. 이번 릴리스의 vCloud Director에는 RabbitMQ 버전 3.6이 필요합니다.

자세한 내용은 vCloud Director 설치 및 업그레이드 설명서를 참조하십시오.

이전 메트릭 데이터를 저장하기 위해 지원되는 데이터베이스

가상 시스템 성능 및 리소스 사용에 대해 vCloud Director가 수집하는 메트릭을 저장하도록 vCloud Director 설치를 구성할 수 있습니다. 이전 메트릭 데이터는 Cassandra 데이터베이스에 저장됩니다. vCloud Director는 다음 Cassandra 버전을 지원합니다.

  • Cassandra 2.2.6(새로운 설치에서는 더 이상 사용되지 않습니다. KairosDB를 사용하는 레거시 업그레이드에는 지원됩니다.)
  • Cassandra 3.x(3.9 권장)

자세한 내용은 vCloud Director 설치 및 업그레이드 설명서를 참조하십시오.

디스크 공간 요구 사항

설치 및 로그 파일 용도로 vCloud Director 서버 각각에 약 2100MB의 여유 공간이 필요합니다.

메모리 요구 사항

각 vCloud Director 서버에는 6GB 이상의 메모리를 프로비저닝해야 합니다.

CPU 요구 사항

vCloud Director는 CPU 기반 애플리케이션입니다. 사용 중인 vSphere 버전의 CPU 오버 커밋 지침을 따라야 합니다. vCloud Director에 사용할 수 있는 코어의 수에 관계없이 가상화된 환경에서 vCPU와 물리적 CPU의 비율이 합리적인 수준이어야 과도한 오버 커밋이 유발되지 않습니다.

필수 Linux 소프트웨어 패키지

vCloud Director 서버 각각에는 몇 가지 일반적인 Linux 소프트웨어 패키지가 설치되어 있어야 합니다. 대개 이러한 패키지는 운영 체제 소프트웨어와 함께 기본적으로 설치됩니다. 누락된 패키지가 있으면 진단 메시지와 함께 설치 관리자가 실패합니다.

alsa-lib    
bash
chkconfig
coreutils
findutils
glibc
grep
initscripts
krb5-libs
libgcc
libICE
libSM
libstdc++
libX11
libXau
libXdmcp
libXext
libXi
libXt
libXtst
module-init-tools
net-tools
pciutils
procps
redhat-lsb
sed
tar
wget
which

설치 관리자가 필요로 하는 이러한 패키지 이외에 네트워크 연결을 구성하고 SSL 인증서를 생성하는 몇 가지 절차에서 Linux nslookup 명령(Linux bind-utils 패키지에 있음)을 사용해야 합니다.

지원되는 LDAP 서버

vCloud Director를 사용하면 다음과 같은 LDAP 서비스로부터 사용자 및 그룹을 가져올 수 있습니다.

플랫폼 LDAP 서비스 인증 방법
Windows Server 2016 Active Directory Simple, Simple SSL
Windows Server 2003 Active Directory Simple, Simple SSL, Kerberos, Kerberos SSL
Windows Server 2008 Active Directory Simple
Windows Server 2012 Active Directory Simple, Simple SSL, Kerberos, Kerberos SSL
Windows 7(2008 R2) Active Directory Simple, Simple SSL, Kerberos, Kerberos SSL
Linux OpenLDAP Simple, Simple SSL

지원되는 보안 프로토콜 및 암호 그룹

vCloud Director에서는 안전한 클라이언트 연결을 필요로 합니다. SSL 버전 3 및 TLS 버전 1.0에는 심각한 보안 취약성이 있는 것으로 발견되었기 때문에, 서버가 클라이언트 연결 시 사용하도록 제공하는 기본 프로토콜 집합에 더 이상 포함되지 않습니다. 다음의 보안 프로토콜이 지원됩니다.

  • TLS 버전 1.1
  • TLS 버전 1.2

지원되는 암호 그룹은 다음과 같습니다.

  • TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
  • TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
  • TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA
  • TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA
  • TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA
  • TLS_ECDH_RSA_WITH_AES_256_CBC_SHA
  • TLS_RSA_WITH_AES_256_CBC_SHA
  • TLS_RSA_WITH_AES_128_CBC_SHA
  • TLS_RSA_WITH_3DES_EDE_CBC_SHA

메모: vCenter 5.5-update-3e 이전 릴리스 및 ovftool 4.2 이전 버전과 상호 운용하려면 vCloud Director에서 TLS 버전 1.0을 지원해야 합니다. 지원되는 SSL 프로토콜 또는 암호 집합은 셀 관리 도구를 사용하여 재구성할 수 있습니다. vCloud Director 관리자 안내서에서 셀 관리 도구 참조 사항을 참조하십시오.

지원되는 브라우저

vCloud Director는 현재 및 최신 주요 브라우저 개정판과 호환됩니다. vCloud Director 버전 9.1은 다음 제품에서 테스트되었으며 해당 제품을 지원합니다.

  • Google Chrome 64
  • Mozilla Firefox 58
  • Microsoft Edge 41
  • Microsoft Internet Explorer 11

참고: vCloud Director 웹 콘솔에 액세스하려면 브라우저에서 Flash를 사용하도록 설정해야 합니다. 

메모: 자체 서명된 인증서를 사용하는 vCloud Director 설치 환경에서는 Microsoft Edge 사용이 지원되지 않습니다. 또한 Edge는 플러그인을 지원하지 않으므로 콘솔 재지정 및 OVF 업로드와 같은 기능은 Edge에서 작동하지 않습니다.

지원되는 게스트 운영 체제 및 가상 하드웨어 버전

vCloud Director는 각 리소스 풀을 뒷받침하는 ESXi 호스트에서 지원하는 모든 게스트 운영 체제 및 가상 하드웨어 버전을 지원합니다.

제거 및 지원 중단된 기능

수명 종료 및 지원 종료 경고

  • 예정된 Oracle 데이터베이스 지원 종료
    • vCloud Director 9.1은 Oracle 데이터베이스를 지원하는 vCloud Director의 마지막 릴리스입니다.
  • 예정된 VCDNI(vCloud 네트워크 격리) 지원 종료
    • vCloud Director 9.1은 VCDNI(vCloud 네트워크 격리)를 지원하는 vCloud Director의 마지막 릴리스입니다.
  • 이전 vCloud API 버전에 대한 지원 종료
    • vCloud Director 9.1은 vCloud API 버전 1.5 및 5.1을 더 이상 지원하지 않습니다. 이러한 API 버전은 이전 릴리스에서 더 이상 사용되지 않습니다.
    • vCloud Director 9.1은 vCloud API 20.0 이전 버전을 지원하는 vCloud Director의 마지막 릴리스입니다. 이러한 API 버전은 이번 릴리스에서 사용되지 않으며 향후 릴리스에서 지원되지 않습니다.

알려진 문제

  • 새로운 항목 Oracle Linux 7에 vCloud Director를 설치할 때 잘못된 오류 메시지가 표시됨

    Oracle Linux 7에 vCloud Director를 설치할 때 설치 관리자에 다음과 같은 오류 메시지가 표시됩니다. 실행 중인 Linux 배포가 vCloud Director에서 지원되지 않습니다. 계속하시겠습니까? [y/n]. Oracle Linux 7은 지원되는 vCloud Director 서버 운영 체제입니다. 지원되는 vCloud Director 서버 운영 체제를 참조하십시오.

    해결 방법: y를 입력하여 계속 진행합니다.

  • Debian 게스트 운영 체제에 대한 게스트 사용자 지정 실패

    Debian 게스트 가상 시스템의 설정이 vCloud Director와 동기화되어 있지 않거나 게스트 사용자 지정을 수행하려는 시도가 실패한 경우, 가상 시스템의 전원을 켜고 사용자 재지정을 강제로 실행할 수 없습니다.

    해결 방법: vcloud.debian9_64Guest.isPersonalizationEnabled=truevcloud.debian9Guest.isPersonalizationEnabled=true를 vCloud Director global.properties 파일에 추가하고 서비스를 다시 시작합니다.

  • 네트워크의 새로운 VCDNI 배포가 vCloud Director 9.1에서 작동하지 않음

    현재 VCDNI 배포는 버전 9.1로 업그레이드한 후에도 계속 작동합니다. 하지만 VCDNI 네트워크 풀이 사용 중일 때는(예: 새로운 네트워크 생성 또는 vApp에 전원을 공급) 네트워크 및 Edge의 새로운 배치가 작동하지 않기 때문에 vApp 네트워크와 Edge가 생성됩니다. VCDNI는 더 이상 사용되지 않고 지원되지 않습니다.

    해결 방법: 기본 환경을 vCenter Server 6.5 및 NSX 6.3.x로 업그레이드하기 전에 VCDNI 풀을 VXLAN으로 마이그레이션해야 합니다.

  • VAAI 지원 NFS 어레이(또는 VVOLS)에서 생성된 신속하게 프로비저닝된 VM은 통합될 수 없습니다.

    네이티브 스냅샷을 사용하는 경우 신속하게 프로비저닝된 VM의 인플레이스 통합이 지원되지 않습니다. 네이티브 스냅샷은 VVOL뿐 아니라 VAAI 지원 데이터스토어에서도 항상 사용됩니다. 신속하게 프로비저닝된 VM을 이러한 스토리지 컨테이너 중 하나에 배포하면 VM을 통합할 수 없습니다.

    해결 방법: VAAI 지원 NFS 또는 VVOLS를 사용하는 조직 VDC에 빠른 프로비저닝을 사용하도록 설정하지 마십시오 VAAI/VVOL 데이터스토어에 스냅샷이 생성된 VM을 통합하려면 다른 스토리지 컨테이너로 재배치하십시오.

  • vCloud Director 9.1은 vRealize Orchestrator 워크플로의 다음 입력 매개 변수만 지원합니다.
    • boolean
    • sdkObject
    • secureString
    • number
    • mimeAttachment
    • properties
    • date
    • composite
    • regex
    • encryptedString
    • array
  • vCloud Director가 LDAP 동기화 작업이 예약된 경우 유지 보수 모드로 설정되지 않습니다.

    작업 스케줄러 대기열에 예약된 LdapSyncJob 작업이 있으면 활성 vCloud Director 셀이 유지 보수 모드로 설정되지 않습니다.  

  • vCloud Director REST API가 vApp, 가상 데이터 센터 및 조직에 대한 POST 요청 링크를 제안하지 않습니다.

    vCloud Director REST API가 vApp, 가상 데이터 센터 및 조직에 대해 GET 요청 링크만 제안합니다. 예는 다음과 같습니다.

    <Link rel="metrics" href="https://vcloud.example.com:8443/api/vApp/vapp-8/metrics/historic" type="application/vnd.vmware.vcloud.metrics.historicUsageSpec+xml">

    해결 방법: POST 요청 링크를 수동으로 생성합니다. 예는 다음과 같습니다. 

    <Link rel="down" href="https://vcloud.example.com:8443/api/vApp/vapp-8/metrics/historic" type="application/vnd.vmware.vcloud.metrics.historicUsageSpec+xml">

  • vApp의 런타임 임대가 만료되면 vApp 인스턴스가 일시 중단 상태가 됩니다.

    버전 8.20 및 9.0과 달리, vCloud Director 9.1에서 vApp의 런타임 임대가 만료된 후 기본 동작은 전원을 끄는 대신 vApp 인스턴스를 일시 중단하는 것입니다.

    vCloud API를 사용하여 vApp의 PowerOffOnRuntimeLeaseExpiration 요소의 값을 true로 설정하여 이 동작을 변경합니다.

  • vCloud Director 테넌트 포털에서 OVF 파일에 포함된 인증서가 업로드 중에 확인되지 않습니다.

    vCloud Director 테넌트 포털에서 vApp 또는 vApp 템플릿을 생성하기 위해 OVF 파일을 업로드할 때 OVF 파일에서 사용할 수 있는 인증서가 있는 경우 확인되지 않습니다.

  • vCloud Director 테넌트 포털을 통해 다운로드되는 미디어 파일의 이름은 지정할 수 없습니다.

    vCloud Director 테넌트 포털을 통해 다운로드한 미디어 파일은 파일 확장명 없는 무작위 파일 이름으로 다운로드됩니다.

  • VMware Workstation 또는 VMware Fusion이 있지만 VMware Remote Console이 설치되어 있지 않으면 가상 시스템 콘솔이 열리지 않습니다.

    VMware Workstation 또는 VMware Fusion이 로컬 시스템에 설치되어 있지만 VMware Remote Console 클라이언트가 설치되어 있지 않은 경우, 가상 시스템에 VM Remote Console 시작 옵션을 사용하면 VMware Workstation 또는 VMware Fusion 애플리케이션이 열리지만 가상 시스템 콘솔은 로드되지 않습니다. VMware Remote Console을 설치하라는 팝업 창도 표시되지 않습니다.

    해결 방법: 가상 시스템 콘솔을 시작하기 전에 VMware Remote Console 클라이언트를 수동으로 설치하십시오.

  • vRO 통합이 사용 중인 경우 vCloud Director 테넌트 포털 사용자에게 HTTP 502(잘못된 게이트웨이) 오류 응답이 표시됩니다.

    이 통합으로 생성되는 추가 네트워크 트래픽으로 인해 vCloud Director에서 사용하는 로드 밸선서의 부하가 꽉 차서 이 HTTP 오류가 발생합니다.

    해결 방법: vCloud Director에서 사용하는 로드 밸런서에 더 큰 버퍼(100KB 권장)를 구성해야 합니다. 셀 관리 도구 manage-config 하위 명령을 사용하여 다음 구성 속성을 업데이트해야 할 수도 있습니다.

    cell-management-tool manage-config -n vcloud.http.responseHeaderMax -v new-value

    여기서 new-value는 바이트 수로, 기본값 65536보다 큰 정수여야 합니다.

  • *+json 유형이 vCloud API에서 지원되지 않음

    이러한 출력 컨텐츠 유형은 대부분의 vCloud API 작업에 대해 정의되었지만 고객이 vCloud API 버전 30.0에서 사용하는 것은 지원되지 않습니다.

    해결 방법: 없음

check-circle-line exclamation-circle-line close-line
Scroll to top icon